---
layout: handbook-page-toc
title: "Ops Section"
---

<% section_name = 'Ops Section' %>
<% section_id = 'ops' %>
<% section_groups = ['Verify:Pipeline Execution Group','Verify:Pipeline Authoring Group','Verify:Runner Group','Verify:Testing Group','Package Group','Release Group','Configure Group','Monitor Group'] %>

#### On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

{: #welcome}

## What we cover

## Who we are

There are XX team members in the Ops Section.

### Ops Section Wide
The following people work as part of the Ops Section but outside a specific product group.

<%= department_team(base_department: section_name, remove_departments: section_groups) %>

### Product Groups
Here are the individuals who work as part of one of the Ops Section groups.

<% section = Gitlab::Homepage::Section.all!.find{|section| section.key == section_id} %>
<% section.stage_list.each do |stage| %>
   <% stage.group_list.each do |group| %>
<%="#### #{group.name}" %>
<%= partial('includes/product/group_table', locals: {group: group} ) %>
   <% end %>
<% end %>

## Section structure
The section is covered by groups from teams across two primary departments, Engineering and Product. Teams and team members from those departments have their own handbook pages linked below.

* Engineering
   * [Development](/handbook/engineering/development/)
      * [Configure & Monitor Sub-department](/handbook/engineering/development/ops/)
      * [CI/CD Sub-department](/handbook/engineering/development/ops/)
   * [UX](/handbook/engineering/ux/#team-structure)
      * [CI/CD UX](/handbook/engineering/ux/stage-group-ux-strategy/ci-cd/)
         * [Verify UX](/handbook/engineering/ux/stage-group-ux-strategy/verify/)
         * [Release UX](/handbook/engineering/ux/stage-group-ux-strategy/release/)
         * [Package UX](/handbook/engineering/ux/stage-group-ux-strategy/package/)
      * Configure and Monitor UX
         * Configure UX (TBD)
         * Monitor UX (TBD)
   * [Quality](/handbook/engineering/quality/#quality-engineering-structure)
* Product
   * You can ping all Ops Section Product Managers in an issue using the `@gl-ops-section-pms` group.

## Investment Allocation
The [product groups](/company/team/structure/#product-groups) within the Ops Section are outlined in the [product categories page](/handbook/product/categories/#ops-section).

The product department determines our [investment](/handbook/product/investment/) within the section by allocating headcount for development team members to product groups. While doing so we adhere to the following principles:
* All product groups will maintain at least a 1:1:1 ratio between three primary DRIs - Product Managers, Product Designers and Engineering Managers.
* We don't currently maintain 1:1:1:1 ratio for the additional Software Engineer in Test (SET) DRI but desire to have singular stable-counterparts between SETs and product groups.
* We will strive to maintain at least 6 developers (FE + BE) in each product group

### +10 Investment Case Prioritization
In the Ops Section direction, we document a set of +10 future investment priorities. The Ops Section Product Leader determines this prioritization in a monthly [Ops Section Investment Case Review](https://gitlab.com/gitlab-com/Product/-/blob/main/.gitlab/issue_templates/Monthly-Ops-Investment-Case-Review.md). Investment cases can be generated by anyone by creating an [Investment Case](https://gitlab.com/gitlab-com/Product/-/issues/new?issuable_template=Investment-Case) issue and assigning it the Investment Case::Section Review label. 

#### Expectations of Investment Cases
In order to compare business cases for a section as broad as the Ops Section, there are some requirements for a complete review.
- Include an ROI Analysis or business impact 
- Include content for "What happens if we do nothing?" with a particular focus on the [Cost of Delay](https://en.wikipedia.org/wiki/Cost_of_delay)
- Include a proposal. What do we need to execute on this initiative

## Operationalizing the Ops Section
As part of GitLab's [SaaS First FY22 product investment theme](/direction/#saas-first), and given the criticality and scale of select stages in the Ops Section, we have additional process for groups in those stages. This is to ensure operational awareness and ownership of our GitLab.com service. It can often be difficult for Product Groups to sense and prioritize efforts which impact our GitLab.com service and performance and we are always endeavouring to appropriately collect and prioritize all sensing mechanisms. As a result, the key components for Operationalizing the Ops Section are:
1. The Engineering Manager and Product Manager will set and track prioritization budget for SaaS availability efforts.
2. Group-level performance indicators for GitLab.com availability and application performance
3. Section wide regular review of GitLab.com performance indicators and budget attainment (meaning either over or under "spend" is considered sub-optimal)

### Initial Product Groups
All Product Groups have shared responsibility for the performance and availability of GitLab.com. However, select groups have been successful enough in attracting user and scale on GitLab.com to be responsible for the below activities. Those groups are:
1. Verify:Pipeline Execution - Use of CI on GitLab.com has experienced amazing growth and now regularly presents operational and architectural scale challenges. 
1. Verify:Runner - GitLab.com's CI/CD adoption and performance are predicated on a stable and performant shared runner fleet which has attracted considerable growth.
1. Package:Package - Industry pressures and product usage growth have caused more companies to rely on the availability and performance of GitLab's package and container registries. 

### SaaS Prioritization Budgets
Discussion of the intent and scope of these budgets happened in this [merged MR](https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/78672) and is [available here](https://about.gitlab.com/handbook/product/product-processes/#prioritization). We will track the scope and process for setting these budgets in [this issue](https://gitlab.com/gitlab-com/Product/-/issues/2385). 

### SaaS Performance Indicators
We will track the definition and setting of these indicators in [this issue](https://gitlab.com/gitlab-com/Product/-/issues/2386).

### SaaS Reviews
We will utilize the [Ops Section Manager Meeting](#ops-section-manager-meetings) on a weekly basis to perform this review.  In the review, we will review our SaaS Performance Indicators and Prioritization Budgets as well as attainment against those budgets for designated groups. All GitLab Team members are invited to attend. The calendar invite will be in the [Ops Section calendar - GitLab internal](https://calendar.google.com/calendar?cid=Z2l0bGFiLmNvbV82ZWVxZmVycjN1MWZyNzI2c3EzNTJjZDhuY0Bncm91cC5jYWxlbmRhci5nb29nbGUuY29t).

## Meetings

### Ops Section Manager Meetings
Monthly on the second Monday at 9:00am Pacific, the Managers in [Ops Section Wide](#ops-section-wide) roles for the Development, UX, Quality and Product Management Departments are invited to attend the Ops Section Manager Meeting. The invite is in the [Ops Section calendar - GitLab internal](https://calendar.google.com/calendar?cid=Z2l0bGFiLmNvbV82ZWVxZmVycjN1MWZyNzI2c3EzNTJjZDhuY0Bncm91cC5jYWxlbmRhci5nb29nbGUuY29t).

#### Intent
The intent of this meeting is to:
1. Build strong collaboration between section department leaders
1. Ensure section department leaders are aware of and setting direction and priorities
1. Checkin on cross-functional product group performance across Development, Product, UX and Quality performance indicators and OKRs

#### Process
The agenda for the meeting is [here - GitLab internal](https://docs.google.com/document/d/1NPzpJGlW9kP5TE1p8dJKingacRiY7K6Y42UYgKusrxg/edit#heading=h.f5kx67gg9rdc).

1. At the start of each meeting we will spend no more than 5 minutes briefly going through each team members [1 to 5s](https://gitlab.com/kencjohnston/README/-/blob/master/README.md#1-to-5s)
1. Other items can be added to the agenda for subsequent discussion
1. On a monthly rotation - we discuss each department's performance indicators and OKRs as well as each group's performance across PIs and relevant OKRs

#### Async Meeting
Each week the Ops Section Product Leader (Kenny Johnston) will post a thread in the #ops-section Slack channel tagging all Ops Section Managers to ecnourage them to provide any relevant cross-functional updates.

#### Function Based Performance Indicators (PI) Review
On a monthly basis we discuss each department's (Product, Development, Quality, UX) performance indicators with an eye towards enabling department performance improvements by improving how we interact across departments.
The content and scheduling for these monthly reviews are:

* Product PIs ([Handbook Page](/handbook/product/ops-section-performance-indicators/) / [Notes](https://docs.google.com/document/d/1ff7V_SRdJDYWzfCMAFLGYWxrMHAlTds4No6ROQZP2jo/edit#)) - First Monday
* Engineering (Development, UX, Quality) PIs ([Handbook Page](https://about.gitlab.com/handbook/engineering/development/performance-indicators/ops/)) - Second Monday

#### 5x5s
In order to satisfy intent `#1` - we'll start the meeting series by doing a weekly rotation of 5x5s - five minute presentations on five slides introducing yourself to the rest of the team.

### Ops Section Retrospective
As part of a [FY22-Q4 experiment](/handbook/engineering/workflow/#retrospective-summary-experiment-in-fy22-q4) we conduct an Ops Section Retrospective around every monthly release. 

#### Intent
The intent of the Ops Section Retrospective Summary meetings is to:
1. Share reflections, lessons learned and best practices across stages and groups
1. Serve as a communal forum to solve broad in scope problems or persistent blockers 
1. Share and celebrate accomplishments to give visibility into what other stages and groups are working on

#### Expectations
It's expected that engineering managers, engineers, and product managers contribute to the document sharing their stage reflections, lessons learned, and best practices in how their teams operate and how they perform retrospectives. Sharing these reflections, lessons learned, and best practices in the form of group handbook page content is preferred.



#### Moderators

Each Ops Section Retrospective is led by a team member from the group.  Any Ops team member can volunteer as moderator by adding their name to the table below:

| Milestone      | Moderator |
| ----------- | ----------- |
| 14.4  | Kenny Johnston |
| 14.5  | Mark Nuzzo |
| 14.6  | Nicholas Klick |
| 14.7  |         |


### Ops PM Meeting
Every Tuesday alternating weekly between European Availability (5:30 AM Pacific) and Pacific Availability (11:30 AM Pacific) we hold an Ops Section PM Meeting. Any Gitlab team member is invited to attend, just ask for the invite in the #ops-section.
* [Agenda - internal](https://docs.google.com/document/d/19JO_AKtTF1vOyEqRreHHL5DPibtKfPa1dRjOryu8wp8/edit)
* Recordings
  * [European Friendly - internal](https://drive.google.com/drive/u/0/folders/19L8RUu4hQ2ZoiLaHFMUSdmngQJXfRmXk)
  * Pacific Friendly - TBD

#### Intent
The intent of this meeting is to:
1. Identify cross-stage opportunities that will benefit our users
1. Share what is working to deliver better product performance indicators
1. Provide a place to discuss ops section wide concerns
1. Build a strong rapport between Ops Section PMs and other team members

#### Process
In order to satisfy the above intent, we:
1. In the Pacific Friendly meeting, we will start off with a show & tell from a PM volunteer to share a direction update, exciting features, or any other topics. Volunteers are identified at the end of the meeting for the next round
1. Provide read-only content for upcoming features and exciting recently delivered features
1. Voice over what is working well or tips-and-tricks to share with other groups (with the desire to provide handbook homes for them)
1. Have an open agenda for discussion of section wide concerns
1. If discussion topics are exhausted during our scheduled time we'll move to Social Topics

## Ops Experimental PM Process
This section documents experimental PM process used in the Ops Section that isn't incorporated into the [Product Process handbook](/handbook/product/product-processes/) which covers all sections. 

### Risk Assessments
In support of the Ops Quality Working Group we identified the need for designating specific groups to document their known risks in order to focus Quality related work and enable all team members to understand and participate in quality.

#### Designate Higher Risk Groups
We designate the following Product Group as higher risk:
- Verify:Pipeline Execution
- Verify:Runners
- Package:Package

#### Process for Documenting Risk Assessment
- Risks are documented in the groups handbook page and referenced by the groups Direction content

_Note_: We are intentionally avoiding being over-prescriptive of the structure for this content. Please keep the [intent](#risk-assessments) in-mind when documenting risks. We will learn from best-practices found by the designated higher risk groups before adding more process suggestions.

#### Risk Assessment Resources
- [Risk Guide Example](https://docs.google.com/document/d/1raN4jG_AbaNzQesECTK7YWLr7HC7kvjabk_S_tkt1KM/edit?usp=sharing)
- [Risk Tracker Example](https://docs.google.com/spreadsheets/d/17ESbFeXdqj92IE4MoswMyuiGKtoOaYPm7jjXr5T5QDg/edit#gid=1679794657)

### Competitive Assessment Sharing

####  Intent
The intent is to share more competitive understanding amongst Ops Section Product managers.

#### Competitive Assessment Sharing - Process
Ops Section PMs maintain a personal Epic for their future [competitive analysis issues](/handbook/product/product-processes/#competitive-analysis-issues) and record [walk-through](/handbook/product/product-processes/#walk-through) style videos of their top priority assessment once per quarter at any time. Because of the competitive nature of this assessment the issues are left public but the videos are posted privately to YouTube. They will post the videos and issues to the `#ops-section` slack channel and ping `@gl-ops-section-pms` on the issues when completed. 

#### Success
We'll consider this experiment a success if it encourages collaboration and understanding amongst PMs. After one quarter, we'll measure success by amount of engagement by Ops Section PMs in the issues and slack posts in the form of comments.

### Quarterly Pricing Strategy Review

#### Intent
Review and challenge each other's Pricing Strategy content to ensure it is consistent and ambitious.

#### Ops Section Pricing Strategy Review - Process
In the week after the first release of a new quarter (during the time when we do monthly Direction reviews) we'll create a separate issue for reviewing Pricing Strategy content for each stage. The issue will be closed by the second Kickoff of the quarter.

#### Success
We'll consider this experiment a success if the engagement in the process is high (particularly across stages/groups) and the output results in a more cohesive Pricing Strategy across the section.

### Previous Expirements
- [Ops Section AMAs](https://gitlab.com/gitlab-com/Product/-/issues/1985)

## Ops Section Recent News, Milestones, Accomplishments and Exciting Things

### Recent News
1. We [published "Letters from the Editors"](/direction/ops/#letter-from-the-editor-q4fy22) highlighting FY22 accomplishments and FY23 plans
1. We've deprecated the certificate based Kubernetes integration method
1. We've started the Container Registry migration to enable storage visibility

### Exciting Things
1. [December Product Performance Indicator Review Highlights](https://gitlab.com/gitlab-com/Product/-/issues/3569#note_796864720)
1. [December (14.7) Kickoff Highlights](https://gitlab.com/gitlab-com/Product/-/issues/3523#note_789989274)
1. [November Letter from the Editor](/direction/ops/#letter-from-the-editor-q4fy22)

### Recent Accomplishments
<%= partial("includes/product/highlights", :locals => { :stages => ['verify','package','release','configure','monitor'] }) %>

_Note_: The release versions included here are adjusted in [this include file](https://gitlab.com/gitlab-com/www-gitlab-com/-/blob/master/sites/handbook/source/includes/product/_highlights.erb)

## References
* [Product categories](/handbook/product/categories/#ops-section)
* [Direction](/direction/ops/)
* [Maturity](/direction/maturity/#verify)
